Index: audio/mp3_check/Portfile
===================================================================
--- audio/mp3_check/Portfile	(revision 134317)
+++ audio/mp3_check/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,6 +5,7 @@ PortSystem 1.0
 
 name             mp3_check
 version          1.98
+revision         1
 categories       audio
 license          GPL-2
 maintainers      nomaintainer
@@ -30,7 +32,7 @@ build.env        CC="${configure.cc}" \
                  CFLAGS="${configure.cflags} ${configure.cc_archflags}"
 
 destroot {
-	xinstall -m 555 ${worksrcpath}/mp3_check \
+	xinstall -m 755 ${worksrcpath}/mp3_check \
 		${destroot}${prefix}/bin
 
 	xinstall -d ${destroot}${prefix}/share/doc/mp3_check
Index: benchmarks/iozone/Portfile
===================================================================
--- benchmarks/iozone/Portfile	(revision 134317)
+++ benchmarks/iozone/Portfile	(working copy)
@@ -5,6 +5,7 @@ PortSystem       1.0
 
 name             iozone
 version          3.427
+revision         1
 categories       benchmarks
 platforms        darwin
 license          Restrictive/Distributable GPL-2+
@@ -34,7 +35,7 @@ build.args       CC=${configure.cc} \
                  LDFLAGS="${configure.ld_archflags}"
 
 destroot {
-    xinstall -m 555 ${worksrcpath}/iozone ${worksrcpath}/fileop \
+    xinstall -m 755 ${worksrcpath}/iozone ${worksrcpath}/fileop \
                     ${destroot}${prefix}/bin
     xinstall -m 444 ${worksrcpath}/../../docs/iozone.1 ${destroot}${prefix}/share/man/man1
     xinstall -m 755 -d ${destroot}${prefix}/share/doc/${name}
Index: benchmarks/nbench-byte/Portfile
===================================================================
--- benchmarks/nbench-byte/Portfile	(revision 134317)
+++ benchmarks/nbench-byte/Portfile	(working copy)
@@ -5,6 +5,7 @@ PortSystem       1.0
 
 name             nbench-byte
 version          2.2.3
+revision         1
 categories       benchmarks
 maintainers      nomaintainer
 description      Linux/Unix port of BYTEmark
@@ -26,7 +27,7 @@ build.target
 build.args       CC=${configure.cc}
 
 destroot {
-    xinstall -m 555 ${worksrcpath}/nbench ${destroot}${prefix}/bin
+    xinstall -m 755 ${worksrcpath}/nbench ${destroot}${prefix}/bin
     file mkdir ${destroot}${prefix}/share/nbench
     xinstall -m 444 ${worksrcpath}/NNET.DAT ${destroot}${prefix}/share/nbench
     xinstall -m 444 ${worksrcpath}/README ${destroot}${prefix}/share/nbench
Index: devel/cvsdiff2patch/Portfile
===================================================================
--- devel/cvsdiff2patch/Portfile	(revision 134317)
+++ devel/cvsdiff2patch/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,6 +5,7 @@ PortSystem 1.0
 
 name			cvsdiff2patch
 version			1.0.1
+revision        1
 categories		devel
 license			BSD
 maintainers		nomaintainer
@@ -23,5 +25,5 @@ build.type		bsd
 
 # Override Makefile destroot target
 destroot {
-	system "install -c -s -m 555  ${worksrcpath}/cvsdiff2patch ${destroot}${prefix}/bin"
+	system "install -c -s -m 755  ${worksrcpath}/cvsdiff2patch ${destroot}${prefix}/bin"
 }
Index: games/cursive/Portfile
===================================================================
--- games/cursive/Portfile	(revision 134317)
+++ games/cursive/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem       1.0
@@ -4,7 +5,7 @@ PortSystem       1.0
 
 name             cursive
 version          1.0
-revision         1
+revision         2
 distname         ${name}
 extract.suffix   .tgz
 categories       games textproc
@@ -31,6 +32,6 @@ use_configure    no
 build.target     lcursive
 
 destroot {
-    xinstall -m 555 ${worksrcpath}/lcursive ${destroot}${prefix}/bin/cursive
+    xinstall -m 755 ${worksrcpath}/lcursive ${destroot}${prefix}/bin/cursive
     xinstall -m 444 ${worksrcpath}/cursive.6 ${destroot}${prefix}/share/man/man6
 }
Index: games/geekcode/Portfile
===================================================================
--- games/geekcode/Portfile	(revision 134317)
+++ games/geekcode/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,6 +5,7 @@ PortSystem 1.0
 
 name		geekcode
 version		1.7.3
+revision	1
 categories	games
 license		GPL-2+
 maintainers	nomaintainer
@@ -18,5 +20,5 @@ checksums	md5 b794916a8875f71f1442f6e70432d6de
 use_configure	no
 
 destroot {
-	xinstall -m 555 ${worksrcpath}/geekcode ${destroot}${prefix}/bin
+	xinstall -m 755 ${worksrcpath}/geekcode ${destroot}${prefix}/bin
 }
Index: games/ski/Portfile
===================================================================
--- games/ski/Portfile	(revision 134317)
+++ games/ski/Portfile	(working copy)
@@ -5,7 +5,7 @@ PortSystem          1.0
 
 name                ski
 version             6.5
-revision            2
+revision            3
 categories          games python
 platforms           darwin
 license             GPL-2
@@ -45,6 +45,6 @@ post-patch {
 use_configure       no
 
 destroot {
-    xinstall -m 555 ${worksrcpath}/ski ${destroot}${prefix}/bin
+    xinstall -m 755 ${worksrcpath}/ski ${destroot}${prefix}/bin
     xinstall -m 444 ${worksrcpath}/ski.6 ${destroot}${prefix}/share/man/man6
 }
Index: games/vms-empire/Portfile
===================================================================
--- games/vms-empire/Portfile	(revision 134317)
+++ games/vms-empire/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem       1.0
@@ -4,7 +5,7 @@ PortSystem       1.0
 
 name             vms-empire
 version          1.7
-revision         1
+revision         2
 categories       games
 license          Copyleft
 maintainers      nomaintainer
@@ -29,7 +30,7 @@ use_configure    no
 build.args       LIBS="-L${prefix}/lib -lncurses"
 
 destroot {
-    xinstall -m 555 ${worksrcpath}/${name} \
+    xinstall -m 755 ${worksrcpath}/${name} \
         ${destroot}${prefix}/bin
     xinstall -m 444 ${worksrcpath}/${name}.6 \
         ${destroot}${prefix}/share/man/man6
Index: games/wtf/Portfile
===================================================================
--- games/wtf/Portfile	(revision 134317)
+++ games/wtf/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,6 +5,7 @@ PortSystem 1.0
 
 name        wtf
 version     20130810
+revision    1
 categories  games
 license     public-domain
 maintainers nomaintainer
@@ -25,7 +27,7 @@ build {
 }
 
 destroot {
-    xinstall -m 555 -W ${worksrcpath} wtf ${destroot}${prefix}/bin
+    xinstall -m 755 -W ${worksrcpath} wtf ${destroot}${prefix}/bin
     xinstall -m 444 -W ${worksrcpath} wtf.6 ${destroot}${prefix}/share/man/man6
 
     xinstall -d ${destroot}${prefix}/share/misc
Index: irc/thirdeye/Portfile
===================================================================
--- irc/thirdeye/Portfile	(revision 134317)
+++ irc/thirdeye/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,6 +5,7 @@ PortSystem 1.0
 
 name		thirdeye
 version		1.72
+revision	1
 categories	irc
 maintainers	nomaintainer
 description	Colorful and effective script for the epic irc client
@@ -31,7 +33,7 @@ destroot	{ system "install -m 755 -d \
 #		  system "chown -R root ${destroot}${prefix}/share/thirdeye"
 		  system "chmod -R +r ${destroot}${prefix}/share/thirdeye/*"
 		  system "install -m 755 -d ${destroot}${prefix}/bin"
-		  system "install -m 555 -c \
+		  system "install -m 755 -c \
 		    ${portpath}/files/thirdeye.sh ${destroot}${prefix}/bin/thirdeye"
 		  reinplace "s|__PREFIX|${prefix}|g" \
 		    ${destroot}${prefix}/bin/thirdeye }
Index: lang/jikespg/Portfile
===================================================================
--- lang/jikespg/Portfile	(revision 134317)
+++ lang/jikespg/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,6 +5,7 @@ PortSystem 1.0
 
 name		jikespg
 version		1.3
+revision	1
 categories	lang java devel
 maintainers	nomaintainer
 license		IBMPL-1
@@ -26,6 +28,6 @@ configure       {
 }
 
 destroot        {
-	system "cd ${worksrcpath} && install -m 555 \
+	system "cd ${worksrcpath} && install -m 755 \
 		${name} ${destroot}${prefix}/bin/"
 }
Index: lang/smlnj/Portfile
===================================================================
--- lang/smlnj/Portfile	(revision 134317)
+++ lang/smlnj/Portfile	(working copy)
@@ -5,6 +5,7 @@ PortSystem          1.0
 
 name                smlnj
 version             110.77
+revision            1
 categories          lang ml
 license             BSD
 maintainers         bfulgham
@@ -104,7 +105,7 @@ destroot {
     file copy ${worksrcpath}/bin ${destroot}${smlnj_home}
     file copy ${worksrcpath}/lib ${destroot}${smlnj_home}
 
-    xinstall -m 555 ${filespath}/sml.sh ${destroot}${prefix}/bin/sml
+    xinstall -m 755 ${filespath}/sml.sh ${destroot}${prefix}/bin/sml
     reinplace "s|__SMLNJ_HOME__|${smlnj_home}|g" \
         ${destroot}${prefix}/bin/sml
 
Index: net/aget/Portfile
===================================================================
--- net/aget/Portfile	(revision 134317)
+++ net/aget/Portfile	(working copy)
@@ -5,6 +5,7 @@ PortSystem          1.0
 
 name                aget
 version             0.4.1
+revision            1
 categories          net
 platforms           darwin
 maintainers         nomaintainer
@@ -34,7 +35,7 @@ variant universal {}
 build.args          CC="${configure.cc} [get_canonical_archflags]"
 
 destroot {
-    xinstall -s -m 555 ${worksrcpath}/aget ${destroot}${prefix}/bin
+    xinstall -s -m 755 ${worksrcpath}/aget ${destroot}${prefix}/bin
 }
 
 livecheck.type      regex
Index: net/ddclient/Portfile
===================================================================
--- net/ddclient/Portfile	(revision 134317)
+++ net/ddclient/Portfile	(working copy)
@@ -5,6 +5,7 @@ PortSystem 1.0
 
 name                ddclient
 version             3.8.2
+revision            1
 platforms           darwin
 categories          net
 license             GPL
@@ -45,7 +46,7 @@ destroot    {
         reinplace "s|/var/run|${prefix}/var/run|" \
             ${destroot}${prefix}/etc/${name}/ddclient.conf.sample
 
-        xinstall -m 555 ${worksrcpath}/${name} ${destroot}${prefix}/sbin
+        xinstall -m 755 ${worksrcpath}/${name} ${destroot}${prefix}/sbin
         xinstall -d ${destroot}${prefix}/share/doc/${name}
 
         eval file copy [glob ${worksrcpath}/sample-*] \
Index: net/ipsvd/Portfile
===================================================================
--- net/ipsvd/Portfile	(revision 134317)
+++ net/ipsvd/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,7 +5,7 @@ PortSystem 1.0
 
 name             ipsvd
 version          1.0.0
-revision         1
+revision         2
 categories       net
 license          BSD
 maintainers      nomaintainer
@@ -35,7 +36,7 @@ test.target      check
 
 destroot {
 	foreach app {ipsvd-cdb tcpsvd udpsvd} {
-		xinstall -m 555 ${build.dir}/${app} \
+		xinstall -m 755 ${build.dir}/${app} \
 			${destroot}${prefix}/sbin
 		xinstall -m 444 ${worksrcpath}/man/${app}.8 \
 			${destroot}${prefix}/share/man/man8
Index: net/mudix/Portfile
===================================================================
--- net/mudix/Portfile	(revision 134317)
+++ net/mudix/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,7 +5,7 @@ PortSystem 1.0
 
 name		        mudix
 version		        4.3
-revision	        6
+revision	        7
 categories	        net games
 license		        BSD
 platforms	        darwin
@@ -41,7 +42,7 @@ platform darwin 10 {
 }
 
 destroot {
-    xinstall -m 555 -W ${worksrcpath} mudix ${destroot}${prefix}/bin
+    xinstall -m 755 -W ${worksrcpath} mudix ${destroot}${prefix}/bin
     xinstall -m 755 -d ${destroot}${prefix}/share/${name}
     xinstall -m 644 sample.usr README ${destroot}${prefix}/share/${name}
 }
Index: net/nsping/Portfile
===================================================================
--- net/nsping/Portfile	(revision 134317)
+++ net/nsping/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,7 +5,7 @@ PortSystem 1.0
 
 name                    nsping
 version                 0.8
-revision                3
+revision                4
 categories              net
 license                 GPL-1
 maintainers             nomaintainer
@@ -32,7 +33,7 @@ build.args              CPPFLAGS="-DBIND_8_COMPAT"
                         CFLAGS="${configure.cflags} [get_canonical_archflags cc]" \
                         LDFLAGS="[get_canonical_archflags ld]"
 build.target
-destroot                { xinstall -m 555 -W ${worksrcpath} nsping ${destroot}${prefix}/bin
+destroot                { xinstall -m 755 -W ${worksrcpath} nsping ${destroot}${prefix}/bin
                           xinstall -m 644 -c -W ${worksrcpath} nsping.8 ${destroot}${prefix}/share/man/man8 }
 
 if {${os.platform} eq "darwin" && ${os.major} >= 10} {
Index: net/rabbitmq-server/Portfile
===================================================================
--- net/rabbitmq-server/Portfile	(revision 134317)
+++ net/rabbitmq-server/Portfile	(working copy)
@@ -5,7 +5,7 @@ PortSystem          1.0
 
 name                rabbitmq-server
 version             3.1.5
-revision            1
+revision            2
 categories          net
 platforms           darwin
 license             MPL-1.1 MIT Apache-2
@@ -100,7 +100,7 @@ post-destroot {
     reinplace -E "s:^SYS_PREFIX=$:SYS_PREFIX=${prefix}:" \
         ${realsbin}/rabbitmq-defaults
 
-    xinstall -m 555 ${filespath}/rabbitmq-script-wrapper \
+    xinstall -m 755 ${filespath}/rabbitmq-script-wrapper \
                 ${wrappersbin}/rabbitmq-server
     reinplace -E "s:@MACPORTS_PREFIX@:${prefix}:g" \
                 ${wrappersbin}/rabbitmq-server
Index: net/tcptrace/Portfile
===================================================================
--- net/tcptrace/Portfile	(revision 134317)
+++ net/tcptrace/Portfile	(working copy)
@@ -5,6 +5,7 @@ PortSystem          1.0
 
 name                tcptrace
 version             6.6.7
+revision            1
 categories          net
 platforms           darwin
 license             GPL
@@ -37,7 +38,7 @@ post-configure {
 destroot {
     file mkdir ${destroot}${prefix}/bin
     foreach f {tcptrace xpl2gpl} {
-        xinstall -m 555 ${worksrcpath}/$f ${destroot}${prefix}/bin/
+        xinstall -m 755 ${worksrcpath}/$f ${destroot}${prefix}/bin/
     }
     file mkdir ${destroot}${prefix}/share/man/man1
     xinstall -m 444 ${worksrcpath}/tcptrace.man ${destroot}${prefix}/share/man/man1/tcptrace.1
Index: net/tnftpd/Portfile
===================================================================
--- net/tnftpd/Portfile	(revision 134317)
+++ net/tnftpd/Portfile	(working copy)
@@ -5,6 +5,7 @@ PortSystem          1.0
 
 name                tnftpd
 version             20130325
+revision            1
 categories          net
 license             BSD
 maintainers         snc openmaintainer
@@ -26,7 +27,7 @@ use_autoconf        yes
 configure.args-append   --with-pam
 
 destroot {
-    xinstall -m 555 ${worksrcpath}/src/${name} ${destroot}${prefix}/sbin/
+    xinstall -m 755 ${worksrcpath}/src/${name} ${destroot}${prefix}/sbin/
 
     xinstall -m 444 ${worksrcpath}/src/ftpd.conf.man ${destroot}${prefix}/share/man/man5/ftpd.conf.5
     xinstall -m 444 ${worksrcpath}/src/ftpusers.man ${destroot}${prefix}/share/man/man5/ftpdusers.5
Index: shells/ksh93/Portfile
===================================================================
--- shells/ksh93/Portfile	(revision 134317)
+++ shells/ksh93/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
Index: sysutils/buffer/Portfile
===================================================================
--- sysutils/buffer/Portfile	(revision 134317)
+++ sysutils/buffer/Portfile	(working copy)
@@ -5,6 +5,7 @@ PortSystem              1.0
 
 name                    buffer
 version                 1.19
+revision                1
 categories              sysutils
 platforms               darwin
 maintainers             nomaintainer
@@ -32,6 +33,6 @@ checksums               md5     ef1f84473adb3bc287
 patchfiles              buffer-patch
 
 destroot {
-    xinstall -s -m 555 ${worksrcpath}/buffer ${destroot}${prefix}/bin
+    xinstall -s -m 755 ${worksrcpath}/buffer ${destroot}${prefix}/bin
     xinstall -m 444 ${worksrcpath}/buffer.man ${destroot}${prefix}/share/man/man1/buffer.1
 }
Index: sysutils/dtach/Portfile
===================================================================
--- sysutils/dtach/Portfile	(revision 134317)
+++ sysutils/dtach/Portfile	(working copy)
@@ -5,6 +5,7 @@ PortSystem 1.0
 
 name             dtach
 version          0.8
+revision         1
 categories       sysutils
 maintainers      nomaintainer
 description      program that emulates the detach feature of screen
@@ -24,6 +25,6 @@ configure.distcc no
 build.target
 
 destroot {
-	xinstall -m 555 ${worksrcpath}/dtach ${destroot}${prefix}/bin
+	xinstall -m 755 ${worksrcpath}/dtach ${destroot}${prefix}/bin
 	xinstall -m 444 ${worksrcpath}/dtach.1 ${destroot}${prefix}/share/man/man1
 }
Index: sysutils/keychain/Portfile
===================================================================
--- sysutils/keychain/Portfile	(revision 134317)
+++ sysutils/keychain/Portfile	(working copy)
@@ -5,7 +5,7 @@ PortSystem      1.0
 
 name            keychain
 version         2.7.1
-revision        1
+revision        2
 categories      sysutils security
 license         GPL-2
 platforms       darwin freebsd
@@ -38,7 +38,7 @@ use_configure   no
 build.cmd       true
 
 destroot {
-    xinstall -m 555 ${worksrcpath}/keychain ${destroot}${prefix}/bin
+    xinstall -m 755 ${worksrcpath}/keychain ${destroot}${prefix}/bin
     xinstall -m 444 ${worksrcpath}/keychain.1 ${destroot}${prefix}/share/man/man1
 }
 
Index: textproc/chmdump/Portfile
===================================================================
--- textproc/chmdump/Portfile	(revision 134317)
+++ textproc/chmdump/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,6 +5,7 @@ PortSystem 1.0
 
 name		chmdump
 version		20030521
+revision	1
 categories	textproc
 license		GPL-2+
 maintainers	nomaintainer
@@ -31,5 +33,5 @@ platform darwin powerpc {
 }
 
 destroot {
-	xinstall -m 555 ${worksrcpath}/${name} ${destroot}${prefix}/bin
+	xinstall -m 755 ${worksrcpath}/${name} ${destroot}${prefix}/bin
 }
Index: textproc/par/Portfile
===================================================================
--- textproc/par/Portfile	(revision 134317)
+++ textproc/par/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 # Based on: http://www.openbsd.org/cgi-bin/cvsweb/ports/textproc/par/Makefile
 
@@ -5,7 +6,7 @@ PortSystem 1.0
 
 name			par
 version			1.52
-revision		1
+revision		2
 categories		textproc
 platforms		darwin
 maintainers		gmail.com:qbarnes
@@ -29,6 +30,6 @@ build.args		-f protoMakefile \
 build.target
 
 destroot {
-	xinstall -m 555 "${worksrcpath}/${name}" "${destroot}${prefix}/bin/"
+	xinstall -m 755 "${worksrcpath}/${name}" "${destroot}${prefix}/bin/"
 	xinstall -m 444 "${worksrcpath}/${name}.1" "${destroot}${prefix}/share/man/man1/"
 }
Index: textproc/rfcdiff/Portfile
===================================================================
--- textproc/rfcdiff/Portfile	(revision 134317)
+++ textproc/rfcdiff/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,6 +5,7 @@ PortSystem 1.0
 
 name             rfcdiff
 version          1.34
+revision         1
 categories       textproc
 maintainers      nomaintainer
 description      compare Internet Draft versions
@@ -24,5 +26,5 @@ use_configure    no
 build            {}
 
 destroot {
-	xinstall -m 555 ${distpath}/${distname} ${destroot}${prefix}/bin/${name}
+	xinstall -m 755 ${distpath}/${distname} ${destroot}${prefix}/bin/${name}
 }
Index: www/mongoose/Portfile
===================================================================
--- www/mongoose/Portfile	(revision 134317)
+++ www/mongoose/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,6 +5,7 @@ PortSystem 1.0
 
 name            mongoose
 version         3.0
+revision        1
 categories      www
 maintainers     toby
 description     easy to use web server
@@ -38,7 +40,7 @@ build.target    mac
 build.env       CC="${configure.cc} [get_canonical_archflags]"
 
 destroot {
-	xinstall -m 555 ${worksrcpath}/mongoose ${destroot}${prefix}/bin
+	xinstall -m 755 ${worksrcpath}/mongoose ${destroot}${prefix}/bin
 	xinstall -m 444 ${worksrcpath}/mongoose.1 ${destroot}${prefix}/share/man/man1
 }
 
Index: www/webredirect/Portfile
===================================================================
--- www/webredirect/Portfile	(revision 134317)
+++ www/webredirect/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -4,6 +5,7 @@ PortSystem 1.0
 
 name             webredirect
 version          0.3
+revision         1
 categories       www
 license          Permissive
 maintainers      nomaintainer
@@ -24,7 +26,7 @@ pre-build {
 }
 
 destroot {
-    xinstall -m 555 ${worksrcpath}/webredirect \
+    xinstall -m 755 ${worksrcpath}/webredirect \
         ${destroot}${prefix}/bin
     xinstall -m 444 ${worksrcpath}/webredirect.1 \
         ${destroot}${prefix}/share/man/man1
Index: x11/abclock/Portfile
===================================================================
--- x11/abclock/Portfile	(revision 134317)
+++ x11/abclock/Portfile	(working copy)
@@ -1,9 +1,10 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
 name             abclock
 version          1.0d
-revision         2
+revision         3
 categories       x11
 license          GPL-2+
 maintainers      nomaintainer
@@ -24,8 +25,8 @@ patch {
 use_configure    no
 build.target     all XLIBDIR="-L${prefix}/lib" XINCLUDEDIR="-I${prefix}/include" OPT="${configure.cflags}"
 destroot {
-    xinstall -m 555 ${worksrcpath}/abclock ${destroot}${prefix}/bin
-    xinstall -m 555 ${worksrcpath}/abc_img ${destroot}${prefix}/bin
+    xinstall -m 755 ${worksrcpath}/abclock ${destroot}${prefix}/bin
+    xinstall -m 755 ${worksrcpath}/abc_img ${destroot}${prefix}/bin
 }
 
 depends_lib \