Index: installing.xml
===================================================================
--- installing.xml	(revision 134574)
+++ installing.xml	(working copy)
@@ -30,7 +30,7 @@
         <para>Follow the instructions for your version of OS X:</para>
 
         <section id="installing.xcode.mavericks">
-            <title>Install Xcode on OS X 10.9 or later</title>
+            <title>Install Xcode on OS X 10.9 or Later</title>
 
             <para>Download the latest version of Xcode <ulink
                     url="https://developer.apple.com/downloads/index.action">from the Apple developer website</ulink> or
@@ -54,7 +54,7 @@
                     Store</ulink>.</para>
 
             <section id="installing.xcode.lion.43">
-                <title>Xcode 4.3 and later</title>
+                <title>Xcode 4.3 and Later</title>
 
                 <para>Xcode 4.3 and later do not automatically install the command line tools, but MacPorts requires
                     them. To install them, open the Xcode application, go to the Preferences window, to the Downloads
@@ -74,7 +74,7 @@
 
             <para>If you are using Mac OS X 10.6, there are two branches of Xcode which could be considered to be the
                 latest, 3.2.x and 4.x. Xcode 4 costs money, but Xcode 3 is still available free of charge. There are two
-                options for downloading it:
+                options for downloading it:</para>
 
                 <orderedlist>
                     <listitem>
@@ -88,32 +88,31 @@
                     </listitem>
                 </orderedlist>
 
-                Both are available from the <ulink url="https://developer.apple.com/downloads/index.action">Apple
+                <para>Both are available from the <ulink url="https://developer.apple.com/downloads/index.action">Apple
                     developer website</ulink>. You may also be able to install Xcode 3.2 from your Mac OS X 10.6 DVD and
                 then run Software Update to get the latest version.</para>
 
             <para>Ensure that those of the following options that are available in the installer for your version of
-                Xcode are selected:
+                Xcode are selected:</para>
 
                 <itemizedlist>
                     <listitem>
-                        <guibutton>UNIX Development</guibutton>
+                        <para><guibutton>UNIX Development</guibutton></para>
                     </listitem>
                     <listitem>
-                        <guibutton>System Tools</guibutton>
+                        <para><guibutton>System Tools</guibutton></para>
                     </listitem>
                     <listitem>
-                        <guibutton>X11 SDK</guibutton>
+                        <para><guibutton>X11 SDK</guibutton></para>
                     </listitem>
                     <listitem>
-                        <guibutton>Command Line Support</guibutton>
+                        <para><guibutton>Command Line Support</guibutton></para>
                     </listitem>
                 </itemizedlist>
-            </para>
         </section>
 
         <section id="installing.xcode.other">
-            <title>Install Xcode on older releases of Mac OS X</title>
+            <title>Install Xcode on Older Releases of Mac OS X</title>
 
             <para>If you have an earlier release of Mac OS X, you may download the latest version of Xcode for OS X 10.5
                 (Xcode 3.0 and Xcode 3.1 Developer Tools) or 10.4 (Xcode 2.4.1 and Xcode 2.5 Developer Tools) from the
@@ -120,23 +119,22 @@
                 <ulink url="https://developer.apple.com/downloads/index.action">Apple developer website</ulink>.</para>
 
             <para>Ensure that those of the following options that are available in the installer for your version of
-                Xcode are selected:
+                Xcode are selected:</para>
 
                 <itemizedlist>
                     <listitem>
-                        <guibutton>UNIX Development</guibutton>
+                        <para><guibutton>UNIX Development</guibutton></para>
                     </listitem>
                     <listitem>
-                        <guibutton>System Tools</guibutton>
+                        <para><guibutton>System Tools</guibutton></para>
                     </listitem>
                     <listitem>
-                        <guibutton>X11 SDK</guibutton>
+                        <para><guibutton>X11 SDK</guibutton></para>
                     </listitem>
                     <listitem>
-                        <guibutton>Command Line Support</guibutton>
+                        <para><guibutton>Command Line Support</guibutton></para>
                     </listitem>
                 </itemizedlist>
-            </para>
         </section>
     </section>
 
@@ -167,7 +165,7 @@
             <orderedlist>
                 <listitem>
                     <para>Download the latest
-                        <filename>MacPorts-&macports-version;-<emphasis>...</emphasis>.pkg</filename> installer from the
+                        <filename>MacPorts-&macports-version;-<replaceable>....</replaceable>pkg</filename> installer from the
                         <ulink url="https://distfiles.macports.org/MacPorts/">MacPorts download directory</ulink>. Here
                         are direct links for the latest versions of OS X:</para>
 
@@ -177,7 +175,7 @@
                                 OS X 10.10 Yosemite:
                             </term>
                             <listitem>
-                                <ulink url="https://distfiles.macports.org/MacPorts/MacPorts-&macports-version;-10.10-Yosemite.pkg">MacPorts-&macports-version;-10.10-Yosemite.pkg</ulink>
+                                <para><ulink url="https://distfiles.macports.org/MacPorts/MacPorts-&macports-version;-10.10-Yosemite.pkg">MacPorts-&macports-version;-10.10-Yosemite.pkg</ulink></para>
                             </listitem>
                         </varlistentry>
                         <varlistentry>
@@ -185,7 +183,7 @@
                                 OS X 10.9 Mavericks:
                             </term>
                             <listitem>
-                                <ulink url="https://distfiles.macports.org/MacPorts/MacPorts-&macports-version;-10.9-Mavericks.pkg">MacPorts-&macports-version;-10.9-Mavericks.pkg</ulink>
+                                <para><ulink url="https://distfiles.macports.org/MacPorts/MacPorts-&macports-version;-10.9-Mavericks.pkg">MacPorts-&macports-version;-10.9-Mavericks.pkg</ulink></para>
                             </listitem>
                         </varlistentry>
                     </variablelist>
@@ -199,7 +197,7 @@
                 <listitem>
                     <para>After this step you are done already, MacPorts is now installed and your shell environment was
                         set up automatically by the installer. To confirm the installation is working as expected, now
-                        try using the <command>port</command> command in a <emphasis>new</emphasis> terminal
+                        try using <command>port</command> in a <emphasis>new</emphasis> terminal
                         window.</para>
 
                     <programlisting><prompt>$</prompt> <userinput>port version</userinput></programlisting>
@@ -284,7 +282,7 @@
                     <para>Build and Install MacPorts</para>
 
                     <para>MacPorts uses autoconf and makefiles for installation. These commands will build and install
-                        MacPorts to <filename>/opt/local</filename>. You can add the <option>--prefix</option> option to
+                        MacPorts to <filename>/opt/local</filename>. You can add <option>--prefix</option> to
                         <filename>./configure</filename> to relocate MacPorts to another directory if needed.</para>
 
                     <programlisting><prompt>$</prompt> <userinput>cd /opt/mports/trunk/base</userinput>
@@ -365,7 +363,7 @@
                 url="http://lists.macosforge.org/mailman/listinfo/macports-users">macports-users</ulink> mailing list
             first.</para>
 
-        <para>If you need to uninstall MacPorts, and your <command>port</command> command is functioning, first
+        <para>If you need to uninstall MacPorts, and <command>port</command> is functioning, first
         uninstall all the installed ports by running this command in the Terminal:</para>
 
         <programlisting><prompt>$</prompt> <userinput>sudo port -fp uninstall installed</userinput></programlisting>
@@ -477,11 +475,11 @@
         </section>
 
         <section id="installing.shell.verifyprofile">
-            <title>Verify the configuration file</title>
+            <title>Verify the Configuration File</title>
 
             <para>To verify that the file containing the MacPorts variables is in effect, type <command>env</command> in
                 the terminal to verify the current environment settings after the file has been created. Example output
-                for the <command>env</command> command is shown below.</para>
+                for <command>env</command> is shown below.</para>
 
             <note>
                 <para>Changes to shell configuration files do not take effect until a new terminal session is
Index: internals.xml
===================================================================
--- internals.xml	(revision 134574)
+++ internals.xml	(working copy)
@@ -209,14 +209,14 @@
 
             <listitem>
               <para><code>mportexec:</code> Given a port handle, executes a
-              target (i.e. install).</para>
+              target (i.e., install).</para>
             </listitem>
 
             <listitem>
               <para><code>mportinfo:</code> Given a port handle, this returns
               the PortInfo array (as a flat list of array elements). This is a
-              little tricky and unstable and only used by the
-              <command>portindex</command> command.</para>
+              little tricky and unstable and only used by
+              <command>portindex</command>.</para>
             </listitem>
 
             <listitem>
@@ -321,8 +321,8 @@
       stored in a single file named <filename>registry.db</filename>, although
       the additional directory <filename>portfiles</filename> is used
       temporarily for extracting stored Portfiles from the registry.
-      Furthermore, access to the registry may be locked using the
-      <filename>.registry.lock</filename> file with the
+      Furthermore, access to the registry may be locked using
+      <filename>.registry.lock</filename> with the
       <computeroutput>registry::exclusive_lock</computeroutput> and
       <computeroutput>registry::exclusive_unlock</computeroutput> APIs.</para>
 
Index: portfile-keywords.xml
===================================================================
--- portfile-keywords.xml	(revision 134574)
+++ portfile-keywords.xml	(working copy)
@@ -37,7 +37,7 @@
         <para>The name of the port. To avoid special interpretation by shells
         and the like, names should contain only alphanumeric characters,
         underscores, dashes or dots. For projects whose proper names contain
-        <quote>+</quote> characters, change these to <quote>x</quote> (i.e.
+        <quote>+</quote> characters, change these to <quote>x</quote> (i.e.,
         <quote>libstdc++</quote> becomes <quote>libstdcxx</quote>).</para>
 
         <programlisting>name                foo</programlisting>
@@ -122,7 +122,7 @@
           </listitem>
 
           <listitem>
-            <para>For addresses in other domains, e.g.
+            <para>For addresses in other domains, e.g.,
             <email>account@example.org</email>, use the convention
             example.org:account to specify the address.</para>
           </listitem>
Index: portfile-phase.xml
===================================================================
--- portfile-phase.xml	(revision 134574)
+++ portfile-phase.xml	(working copy)
@@ -1035,7 +1035,7 @@ svn.revision        2100</programlisting>
           distribution files, filenames must be included to associate files
           with their checksums.</para>
 
-          <para>At least two checksum types (e.g., rmd160 and sha256) should be used to
+          <para>At least two checksum types (typically rmd160 and sha256) should be used to
           ensure the integrity of the distfiles.</para>
 
           <itemizedlist>
Index: portfile-startupitem.xml
===================================================================
--- portfile-startupitem.xml	(revision 134574)
+++ portfile-startupitem.xml	(working copy)
@@ -235,7 +235,7 @@
     <title>Script StartupItems</title>
 
     <para>StartupItems of type <quote>script</quote> create a wrapper during
-    port installation for <command>daemondo</command> that that will be used
+    port installation for <command>daemondo</command> that will be used
     to launch a daemon startup script present in an application's source
     distribution (MacPorts does not create daemon startup scripts) for daemons
     that require a script.</para>
Index: portfile-variables.xml
===================================================================
--- portfile-variables.xml	(revision 134574)
+++ portfile-variables.xml	(working copy)
@@ -133,7 +133,7 @@
       <term>os.platform</term>
 
       <listitem>
-        <para>The underlying operating system platform (i.e.
+        <para>The underlying operating system platform (i.e.,
         <quote>darwin</quote> on OS X, <quote>freebsd</quote>,
         etc.).</para>
       </listitem>
@@ -152,8 +152,8 @@
       <term>os.version</term>
 
       <listitem>
-        <para>The version number of the host operating system (i.e.
-        <quote>12.3.0</quote> for Darwin 12.3.0 a.k.a. OS X 10.8.3).</para>
+        <para>The version number of the host operating system (i.e.,
+        <quote>12.3.0</quote> for Darwin 12.3.0 aka OS X 10.8.3).</para>
       </listitem>
     </varlistentry>
 
@@ -170,7 +170,7 @@
       <term>os.major</term>
 
       <listitem>
-        <para>The major version number of the host operating system (i.e.
+        <para>The major version number of the host operating system (i.e.,
         <quote>12</quote> for Darwin 12.x).</para>
       </listitem>
     </varlistentry>
Index: portfile-variants.xml
===================================================================
--- portfile-variants.xml	(revision 134574)
+++ portfile-variants.xml	(working copy)
@@ -201,7 +201,7 @@ platform darwin 8 powerpc {
 
     <note>
       <para>Though a combination of OS version and hardware platform may be
-      specified in a single platform statement (i.e. darwin 8 i386), it is not
+      specified in a single platform statement (i.e., darwin 8 i386), it is not
       possible to specify a range of platforms with a single statement. For
       example, to select Darwin versions 9 and 10 while excluding all others,
       you would need two statements: <code>platform darwin 9</code> and
Index: portfiledev.xml
===================================================================
--- portfiledev.xml	(revision 134574)
+++ portfiledev.xml	(working copy)
@@ -651,7 +651,7 @@ variant sqlite description {Build sqlite support}
           <programlisting><prompt>%%</prompt> <userinput>cd ~/Downloads/foo-1.34</userinput>
 <prompt>%%</prompt> <userinput>diff -u src/Makefile.in.orig src/Makefile.in &gt; patch-src-Makefile.in.diff</userinput></programlisting>
 
-          <para>You should execute the <command>diff</command> command from
+          <para>You should execute <command>diff</command> from
           the top-level directory of the unpacked source code, because during
           the patch phase MacPorts by default uses the patch argument
           <option>-p0</option>, which does not strip prefixes with any leading
@@ -675,8 +675,7 @@ variant sqlite description {Build sqlite support}
           <para>A patch file that is a <quote>unified</quote> diff file is the
           easiest to interpret by humans and this type should always be used
           for ports. See the example below where a patch adds
-          <varname>DESTDIR</varname> support to a
-          <filename>Makefile.in</filename> file.</para>
+          <varname>DESTDIR</varname> support to <filename>Makefile.in</filename> .</para>
 
           <programlisting>--- src/Makefile.in.orig   2007-06-01 16:30:47.000000000 -0700
 +++ src/Makefile.in       2007-06-20 10:10:59.000000000 -0700
@@ -745,7 +744,7 @@ variant sqlite description {Build sqlite support}
 
     <orderedlist>
       <listitem>
-        <para>Open the <filename>sources.conf</filename> file in a text
+        <para>Open <filename>sources.conf</filename> in a text
         editor. For example, to open it into TextEdit:</para>
 
         <programlisting><prompt>%%</prompt> <userinput>open -e ${prefix}/etc/macports/sources.conf</userinput></programlisting>
@@ -762,7 +761,7 @@ rsync://rsync.macports.org/release/ports [default]
         <note>
           <para>The file URL should always appear before the rsync URL so that
           local Portfiles can be tested that are duplicated in the MacPorts
-          tree, because the <command>port</command> command will always
+          tree, because <command>port</command> will always
           operate on the first Portfile it encounters.</para>
         </note>
       </listitem>
@@ -794,8 +793,8 @@ rsync://rsync.macports.org/release/ports [default]
       </listitem>
 
       <listitem>
-        <para>After you create or update your Portfile, use the MacPorts
-        <command>portindex</command> command in the local repository's
+        <para>After you create or update your Portfile, use
+        <command>portindex</command> in the local repository's
         directory to create or update the index of the ports in your local
         repository.</para>
 
@@ -1177,7 +1176,7 @@ revision            2</programlisting>
       the possibility to build ones port(s) on specific builders.</para>
       
       <para>Thus the buildbot helps to keep MacPorts consistent on various
-      OSX versions, i.e. a maintainer does not need access to these versions anymore in
+      OSX versions, i.e., a maintainer does not need access to these versions anymore in
       order to assure that the port(s) maintained build without problems. Currently only
       the default port variants will be build and kept.</para>
 
Index: portgroup-python.xml
===================================================================
--- portgroup-python.xml	(revision 134574)
+++ portgroup-python.xml	(working copy)
@@ -57,11 +57,11 @@
         <term>python.default_version</term>
 
         <listitem>
-          <para>For modules (i.e. name starts with <quote>py-</quote>), this sets the
+          <para>For modules (i.e., name starts with <quote>py-</quote>), this sets the
           subport that will be installed if the user asks to install <quote>py-foo</quote>
-          rather than e.g. <quote>py26-foo</quote> or <quote>py27-foo</quote>. If not explicitly set, a
+          rather than e.g., <quote>py26-foo</quote> or <quote>py27-foo</quote>. If not explicitly set, a
           reasonable default is chosen from the list in <code>python.versions</code>.</para>
-          <para>For apps (i.e. name does not start with <quote>py-</quote>), this chooses
+          <para>For apps (i.e., name does not start with <quote>py-</quote>), this chooses
           which version of python to use, and must be set. It can be changed
           in variants if desired.</para>
 
@@ -102,7 +102,7 @@
         <term>python.link_binaries_suffix</term>
 
         <listitem>
-          <para>Suffix to add the the names of the links created in
+          <para>Suffix to add the names of the links created in
           <filename>${prefix}/bin</filename> when <varname>${python.link_binaries}</varname>
           is enabled. Can be cleared if no suffix is desired.</para>
 
@@ -187,7 +187,7 @@
         <term>python.lib</term>
 
         <listitem>
-          <para>The Python dynamic library path, i.e.
+          <para>The Python dynamic library path, i.e.,
           <filename>${python.prefix}/Python</filename> (framework builds) or
           <filename>${prefix}/lib/libpython2.4.dylib</filename> (python24).</para>
         </listitem>
@@ -197,7 +197,7 @@
         <term>python.libdir</term>
 
         <listitem>
-          <para>The path to python's lib directory, i.e.
+          <para>The path to python's lib directory, i.e.,
           <filename>${python.prefix}/lib/python${python.branch}</filename>.</para>
         </listitem>
       </varlistentry>
Index: portgroups.xml
===================================================================
--- portgroups.xml	(revision 134574)
+++ portgroups.xml	(working copy)
@@ -3,7 +3,7 @@
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
 <section id="reference.portgroup.intro">
 
-  <title>PortGroup introduction</title>
+  <title>PortGroup Introduction</title>
 
   <para>PortGroups are simply include files for portfiles. They can define as much or as little as
   a portgroup author feels is necessary to provide a set of definitions or behaviors common to a
Index: project.xml
===================================================================
--- project.xml	(revision 134574)
+++ project.xml	(working copy)
@@ -5,7 +5,7 @@
   <title>MacPorts Project</title>
 
   <section id="project.tickets">
-    <title>Using Trac for tickets</title>
+    <title>Using Trac for Tickets</title>
 
     <para>The MacPorts Project uses a system called <ulink
     url="http://trac.edgewall.org/">Trac</ulink> to file tickets to report bugs
@@ -17,7 +17,7 @@
     account to create tickets.</para>
 
     <section id="project.tickets.prerequisites">
-      <title>Before you file a new ticket</title>
+      <title>Before Filing a New Ticket</title>
 
       <itemizedlist>
         <listitem>
@@ -31,8 +31,7 @@
             <quote>Skipping completed</quote> in the log for each
             previously-completed phase that was skipped. Before filing a
             ticket, <userinput>sudo port clean</userinput> the port that
-            failed, then try again.
-          </para>
+            failed, then try again.</para>
         </listitem>
         <listitem>
           <para>Check the problem hotlist</para>
@@ -48,6 +47,7 @@
           <para>Search to see if a Trac ticket has already been filed</para>
           <para>
             Avoid filing duplicate bugs. Search for duplicates by:
+          </para>
             <itemizedlist>
                 <listitem><para>using the search bar that appears on each page</para></listitem>
                 <listitem><para>using <ulink url="https://trac.macports.org/search?portsummarysearch=on">the search page</ulink></para></listitem>
@@ -54,7 +54,6 @@
                 <listitem><para>browsing the list of <ulink url="https://trac.macports.org/report">categorized reports</ulink></para></listitem>
                 <listitem><para>making an advanced search by constructing a <ulink url="https://trac.macports.org/query">custom query</ulink></para></listitem>
             </itemizedlist>
-          </para>
         </listitem>
         <listitem>
           <para>Is the problem an application error and not related to compiling and installing?</para>
@@ -280,8 +279,8 @@
           reporter and assignee who would like to be kept involved in the
           development of the ticket. Multiple email addresses should be
           separated with a comma and a space
-          (i.e. <literal>you@example.org, maintainer@macports.org</literal>).</para>
-          
+          (i.e., <literal>you@example.org, maintainer@macports.org</literal>).</para>
+
           <para>When reporting port-related tickets, make sure you add the
           port maintainers email address to the <guilabel>Cc:</guilabel> field
           so they are notified of the ticket (unless you have commit access,
@@ -290,12 +289,12 @@
           <literal>port info --maintainers <replaceable>[port]</replaceable>
           </literal></para>
         </listitem>
-        
+
         <listitem>
           <para><guilabel>Assign To:</guilabel> Only users with commit access
           can edit this field. If this is not you, see the section on the
           <guimenu>Cc</guimenu> field above.</para>
-          
+
           <para>For tickets on ports, enter
           the email address of the port's maintainer (use <command>port info
           &lt;portname&gt;</command> to find this). If multiple maintainers
@@ -757,15 +756,15 @@ To use the current port, you must be in a port's d
 
       <para>A port may be considered abandoned if any of the following apply:</para>
         <itemizedlist>
-        <listitem>A bug has not been acknowledged for more than three weeks
-            after a ticket is filed.</listitem>
-        <listitem>All tickets filed against the port have been resolved
+        <listitem><para>A bug has not been acknowledged for more than three weeks
+            after a ticket is filed.</para></listitem>
+        <listitem><para>All tickets filed against the port have been resolved
             with no input from the maintainer, after the 72-hour timeout,
             for a significant period of time (at least three weeks). This
             needs to involve a reasonable number of tickets; one timeout
-            doesn't make a port abandoned.</listitem>
-        <listitem>The listed maintainer address bounces, and no alternate way
-            of contacting the maintainer is known.</listitem>
+            doesn't make a port abandoned.</para></listitem>
+        <listitem><para>The listed maintainer address bounces, and no alternate way
+            of contacting the maintainer is known.</para></listitem>
         </itemizedlist>
       <para>If you wish to initiate the Port Abandonment
       protocol and optionally volunteer as the new maintainer:</para>
@@ -848,7 +847,7 @@ To use the current port, you must be in a port's d
       </listitem>
 
       <listitem>
-        <para>the identity you'd like to use as a member of the project, A.K.A. the
+        <para>the identity you'd like to use as a member of the project, aka the
         &ldquo;handle&rdquo;, as part of your <literal><replaceable>handle</replaceable>@macports.org</literal>
         alias.</para>
       </listitem>
@@ -870,13 +869,13 @@ To use the current port, you must be in a port's d
     Project. Its membership is usually determined by public elections among
     project members; the current members of the team can be found on the
     <ulink url="https://trac.macports.org/wiki/MacPortsDevelopers">MacPorts
-    Developers wiki page</ulink>.
+    Developers wiki page</ulink>.</para>
 
-    They are responsible for matters such as:
+    <para>They are responsible for matters such as:</para>
 
     <itemizedlist>
         <listitem>
-          <para>approving new project members (i.e. granting commit
+          <para>approving new project members (i.e., granting commit
           rights);</para>
         </listitem>
 
@@ -895,7 +894,7 @@ To use the current port, you must be in a port's d
         <listitem>
           <para>engineering releases.</para>
         </listitem>
-      </itemizedlist></para>
+      </itemizedlist>
 
   </section>
 </chapter>
Index: using.xml
===================================================================
--- using.xml	(revision 134574)
+++ using.xml	(working copy)
@@ -9,13 +9,13 @@
 <chapter id="using">
     <title>Using MacPorts</title>
 
-    <para>This chapter describes using the <command>port</command> command, port variants, common tasks and port
+    <para>This chapter describes using <command>port</command>, port variants, common tasks and port
     binaries.</para>
 
     <section id="using.port">
         <title>The port Command</title>
 
-        <para>The MacPorts <command>port</command> command is the main utility used to interact with MacPorts. It is
+        <para><command>port</command> is the main utility used to interact with MacPorts. It is
             used to update <filename>Portfile</filename>s and the MacPorts infrastructure, and install and manage
             ports.</para>
 
@@ -23,8 +23,7 @@
             <title>port help</title>
 
             <para>The <option>help</option> action shows some brief information about the specified action, or if no
-                action is specified, shows basic usage information for the <command>port</command> command in
-                general.</para>
+                action is specified, shows basic usage information for <command>port</command> in general.</para>
 
             <programlisting><prompt>$</prompt> <userinput>port help selfupdate</userinput></programlisting>
 
@@ -33,7 +32,7 @@ Usage: selfupdate --nosync
 
 Upgrade MacPorts itself and run the sync target
 
---nosync   Do not run the sync target, i.e. do not update the ports tree.
+--nosync   Do not run the sync target, i.e., do not update the ports tree.
            Only checks for (and installs, if available) new versions of
            MacPorts.</screen>
         </section>
@@ -98,7 +97,7 @@ Upgrade MacPorts itself and run the sync target
 
             <para>The <option>sync</option> action performs a subset of <option>selfupdate</option>. It synchronizes the
                 ports tree, as does <option>selfupdate</option>, but it does not check for MacPorts upgrades. On OS X,
-                unless there is a special reason not to do so, you should always run <link
+                unless there is a special reason not to do so, run <link
                     linkend="using.port.selfupdate">selfupdate</link>.</para>
 
             <para><option>sync</option> does not accept any switches.</para>
@@ -424,7 +423,7 @@ Maintainers:          cal@macports.org</screen>
                 <varlistentry>
                     <term><option>--no-build</option></term>
                     <listitem>
-                        <para>Exclude dependencies only required at build time, i.e. fetch, extract, and build
+                        <para>Exclude dependencies only required at build time, i.e., fetch, extract, and build
                             dependencies.</para>
                     </listitem>
                 </varlistentry>
@@ -459,8 +458,8 @@ apache2 has the variants:
                 Any <option>[]</option> are derived from the <filename>Portfile</filename>.
                 While <option>()</option> are derived from the <filename>variants.conf</filename>.
                 See <xref
-                    linkend="internals.configuration-files.variants-conf" /> for more information on the
-                <filename>variants.conf</filename> file.</para>
+                    linkend="internals.configuration-files.variants-conf" /> for more information on
+                <filename>variants.conf</filename>.</para>
         </section>
 
         <section id="using.port.install">
@@ -481,7 +480,7 @@ apache2 has the variants:
 
             <programlisting><prompt>$ </prompt><userinput>sudo port -v install apache2</userinput></programlisting>
 
-            <para>All debug information is also kept in the <filename>main.log</filename> file for the port you
+            <para>All debug information is also kept in <filename>main.log</filename> for the port you
                 installed. Its path will be printed automatically if the installation fails. You can manually get the
                 path using <command>port logfile <varname>&lt;portname&gt;</varname></command>. Note that logfiles will
                 automatically be deleted on successful installation.</para>
@@ -531,7 +530,7 @@ apache2 has the variants:
                 <varlistentry>
                     <term><option>--unrequested</option></term>
                     <listitem>
-                        <para>By default, each port you install using the <option>install</option> (vs. as a dependency
+                        <para>By default, each port you install using the <option>install</option> (versus as a dependency
                             of a different port) is marked as <quote>requested</quote>. If you want MacPorts to treat
                             a port you installed manually as if it was automatically installed as a dependency (e.g., if
                             a dependency failed to build and you re-tried installing the dependency only), pass this
@@ -781,7 +780,7 @@ The following ports are currently installed:
   yubico-pam @2.16_0 (active)
   zlib @1.2.8_0 (active)</screen>
 
-            <para>Use the <option>-v</option> option to also display the platform and CPU architecture(s) for which the
+            <para>Use <option>-v</option> to also display the platform and CPU architecture(s) for which the
                 ports were built, and any variants which were explicitly negated.</para>
 
             <programlisting><prompt>$ </prompt><userinput>port -v installed libsdl</userinput></programlisting>
@@ -847,8 +846,8 @@ p5.16-ipc-run                  0.910.0_1 &lt; 0.92
 
                 <para>to go back to the old version.</para>
 
-                <para>If you do not want to keep the old versions around while upgrading, you can pass the
-                    <option>-u</option> option when upgrading:</para>
+                <para>If you do not want to keep the old versions around while upgrading, you can pass
+                    <option>-u</option> when upgrading:</para>
 
                 <programlisting><prompt>$ </prompt><userinput>sudo port -u upgrade outdated</userinput></programlisting>
 
@@ -874,7 +873,7 @@ p5.16-ipc-run                  0.910.0_1 &lt; 0.92
                     <listitem>
                         <para>If the installed variants do not match those requested, upgrade (and change variants) even
                             if the port is not outdated. You can use this to switch the variant selection on an
-                            installed port, e.g. using</para>
+                            installed port, e.g., using</para>
 
                         <programlisting><prompt>$ </prompt><userinput>sudo port upgrade --enforce-variants apache2 -preforkmpm +workermpm</userinput></programlisting>
 
@@ -1020,13 +1019,13 @@ apache2 has the variants:
                 Any <option>[]</option> are derived from the <filename>Portfile</filename>.
                 While <option>()</option> are derived from the <filename>variants.conf</filename>.
                 See <xref
-                    linkend="internals.configuration-files.variants-conf" /> for more information on the
-            <filename>variants.conf</filename> file.</para>
+                    linkend="internals.configuration-files.variants-conf" /> for more information on
+            <filename>variants.conf</filename>.</para>
 
         <section id="using.variants.invoking">
             <title>Invoking Variants</title>
 
-            <para>A variant can only be invoked when a port is installed. After you have determined what variants
+            <para>A variant can only be selected when a port is installed. After you have determined what variants
                 a given port has, if any, you may install a port using the variant by specifying its name preceded by
                 a plus or minus sign on the command line, for example</para>
 
@@ -1499,7 +1498,7 @@ apache2 has the variants:
 <!--        -->DEBUG: Archive logrotate-3.8.6_2+gzip.darwin_13.x86_64.tbz2 packaged</screen>
 
             <para>Binary archive files are placed in <filename>${prefix}/var/macports/software/</filename>. The archive
-                file type is set in the <filename>macports.conf</filename> file using the
+                file type is set in <filename>macports.conf</filename> using the
                 <option>portarchivetype</option> key. The default format is <option>tbz2</option>; other options are:
                 <option>tar</option>, <option>tbz</option>, <option>tbz2</option>, <option>tgz</option>,
                 <option>tlz</option>, <option>txz</option>, <option>xar</option>, <option>zip</option>,
@@ -1514,7 +1513,7 @@ apache2 has the variants:
                 to users without relying on MacPorts for installation. Binary installers created with MacPorts are
                 usually <option>.pkg</option> (OS X Installer Packages). MacPorts can also convert
                 a <option>.pkg</option> package into an OS X <option>.dmg</option> disk image. You can create binary
-                packages with the <command>port</command> command as shown in the following examples.</para>
+                packages using <command>port</command> as shown in the following examples.</para>
 
             <warning>
                 <para>If you want to create installer packages using MacPorts for redistribution, make sure you do not