Index: Portfile
===================================================================
--- Portfile	(revision 135804)
+++ Portfile	(working copy)
@@ -234,12 +234,14 @@
 }
 
 post-extract {
+    # Get HTTP proxy arguments if required, assuming we can use the same proxy for all repositories
+    set proxy_args [portfetch::svn_proxy_args http://llvm.org/svn/llvm-project/cfe/trunk]
     if {${subport} eq "llvm-${llvm_version}"} {
         if {[variant_isset polly]} {
             if {${worksrcdir} eq "trunk"} {
-                system "cd ${worksrcpath}/tools && svn co -r ${svn.revision} http://llvm.org/svn/llvm-project/polly/trunk polly"
+                system "cd ${worksrcpath}/tools && svn ${proxy_args} co -r ${svn.revision} http://llvm.org/svn/llvm-project/polly/trunk polly"
             } elseif {${worksrcdir} eq "release_${llvm_version_no_dot}" } {
-                system "cd ${worksrcpath}/tools && svn co -r ${svn.revision} http://llvm.org/svn/llvm-project/polly/branches/release_${llvm_version_no_dot} polly"
+                system "cd ${worksrcpath}/tools && svn ${proxy_args} co -r ${svn.revision} http://llvm.org/svn/llvm-project/polly/branches/release_${llvm_version_no_dot} polly"
             } else {
                 file rename ${workpath}/polly-${version}.src ${worksrcpath}/tools/polly
             }
@@ -246,15 +248,15 @@
         }
     } elseif {${subport} eq "clang-${llvm_version}"} {
         if {${worksrcdir} eq "trunk"} {
-            system "cd ${worksrcpath}/tools && svn co -r ${svn.revision} http://llvm.org/svn/llvm-project/cfe/trunk clang"
-            system "cd ${worksrcpath}/projects && svn co -r ${compiler_rt_rev} http://llvm.org/svn/llvm-project/compiler-rt/trunk compiler-rt"
-            system "cd ${worksrcpath}/projects && svn co -r ${libcxx_rev} http://llvm.org/svn/llvm-project/libcxx/trunk libcxx"
-            system "cd ${worksrcpath}/tools/clang/tools && svn co -r ${clang-modernize_rev} http://llvm.org/svn/llvm-project/clang-tools-extra/trunk extra"
+            system "cd ${worksrcpath}/tools && svn ${proxy_args} co -r ${svn.revision} http://llvm.org/svn/llvm-project/cfe/trunk clang"
+            system "cd ${worksrcpath}/projects && svn ${proxy_args} co -r ${compiler_rt_rev} http://llvm.org/svn/llvm-project/compiler-rt/trunk compiler-rt"
+            system "cd ${worksrcpath}/projects && svn ${proxy_args} co -r ${libcxx_rev} http://llvm.org/svn/llvm-project/libcxx/trunk libcxx"
+            system "cd ${worksrcpath}/tools/clang/tools && svn ${proxy_args} co -r ${clang-modernize_rev} http://llvm.org/svn/llvm-project/clang-tools-extra/trunk extra"
         } elseif {${worksrcdir} eq "release_${llvm_version_no_dot}" } {
-            system "cd ${worksrcpath}/tools && svn co -r ${svn.revision} http://llvm.org/svn/llvm-project/cfe/branches/release_${llvm_version_no_dot} clang"
-            system "cd ${worksrcpath}/projects && svn co -r ${compiler_rt_rev} http://llvm.org/svn/llvm-project/compiler-rt/branches/release_${llvm_version_no_dot} compiler-rt"
-            system "cd ${worksrcpath}/projects && svn co -r ${libcxx_rev} http://llvm.org/svn/llvm-project/libcxx/branches/release_${llvm_version_no_dot} libcxx"
-            system "cd ${worksrcpath}/tools/clang/tools && svn co -r ${clang-modernize_rev} http://llvm.org/svn/llvm-project/clang-tools-extra/branches/release_${llvm_version_no_dot} extra"
+            system "cd ${worksrcpath}/tools && svn ${proxy_args} co -r ${svn.revision} http://llvm.org/svn/llvm-project/cfe/branches/release_${llvm_version_no_dot} clang"
+            system "cd ${worksrcpath}/projects && svn ${proxy_args} co -r ${compiler_rt_rev} http://llvm.org/svn/llvm-project/compiler-rt/branches/release_${llvm_version_no_dot} compiler-rt"
+            system "cd ${worksrcpath}/projects && svn ${proxy_args} co -r ${libcxx_rev} http://llvm.org/svn/llvm-project/libcxx/branches/release_${llvm_version_no_dot} libcxx"
+            system "cd ${worksrcpath}/tools/clang/tools && svn ${proxy_args} co -r ${clang-modernize_rev} http://llvm.org/svn/llvm-project/clang-tools-extra/branches/release_${llvm_version_no_dot} extra"
         } else {
             file rename ${workpath}/cfe-${version}.src ${worksrcpath}/tools/clang
             file rename ${workpath}/compiler-rt-${version}.src ${worksrcpath}/projects/compiler-rt