--- /opt/local/var/macports/sources/svn.macports.org/trunk/dports/net/openntpd/Portfile	2015-01-12 12:44:22.000000000 +0100
+++ /opt/local/site-ports/net/openntpd/Portfile	2015-05-04 21:22:45.000000000 +0200
@@ -1,56 +1,55 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4:nomodified
+# kate: backspace-indents true; indent-pasted-text true; indent-width 4; keep-extra-spaces true; remove-trailing-spaces modified; replace-tabs true; replace-tabs-save true; syntax Tcl/Tk; tab-indents true; tab-width 4;
 # $Id: Portfile 124743 2014-08-27 21:19:27Z dluke@macports.org $
 
-PortSystem 1.0
+PortSystem          1.0
 
-name			openntpd
-version			3.9p1
-revision		1
-categories		net
-license			ISC BSD
-platforms		darwin
-maintainers		nomaintainer
-description		free, easy to use implementation of the Network Time Protocol
-long_description	OpenNTPD is a free, easy to use implementation of the \
-				Network Time Protocol. It provides the ability to sync the \
-				local clock to remote NTP servers and can act as NTP server \
-				itself, redistributing the local clock.
-
-homepage		http://www.openntpd.org/
-master_sites		openbsd:OpenNTPD
-checksums	rmd160	c348004116c78810daa9451f15abcc26788949a8 \
-		sha256	83dd7c1e8ec8b4567afe49af539271b5a73562fb7a3ca51df73eccba89ec8c49
-
-platforms		darwin
-
-startupitem.create	yes
-startupitem.netchange	yes
-startupitem.executable	${prefix}/sbin/ntpd -d -s -f ${prefix}/etc/ntpd.conf
-
-configure.args	--mandir=${prefix}/share/man
-
-pre-destroot {
-	addgroup _ntp gid=[nextgid] users="_ntp"
-	set gid [existsgroup _ntp]
-	adduser _ntp gid=${gid} password={\*} uid=[nextuid] \
-		home=${prefix}/var/db/ntpd shell=/usr/bin/false \
-		realname=OpenNTPD\ Server
-}
-
-post-destroot	{
-	file rename ${destroot}${prefix}/etc/ntpd.conf \
-		${destroot}${prefix}/etc/ntpd.conf.sample
+name                openntpd
+version             5.7p4
+categories          net
+license             ISC BSD
+platforms           darwin
+maintainers         nomaintainer
+description         free, easy to use implementation of the Network Time Protocol
+long_description    OpenNTPD is a free, easy to use implementation of the \
+                    Network Time Protocol. It provides the ability to sync the \
+                    local clock to remote NTP servers and can act as NTP server \
+                    itself, redistributing the local clock.
+conflicts           ntp
+
+homepage            http://www.openntpd.org/
+master_sites        openbsd:OpenNTPD
+checksums           rmd160  d99d0058ce67272e5dff3cd945f0beaaf564591c \
+                    sha256  a993d95976e375acc0ab1a677fd268f55024477835633c8ae404895046bccb23
+
+platforms           darwin
+
+startupitem.create  yes
+startupitem.netchange   yes
+startupitem.executable  ${prefix}/sbin/ntpd -d -s -f ${prefix}/etc/ntpd.conf
+
+configure.args      --mandir=${prefix}/share/man --disable-silent-rules --disable-dependency-tracking
+
+post-destroot   {
+    file rename ${destroot}${prefix}/etc/ntpd.conf \
+        ${destroot}${prefix}/etc/ntpd.conf.sample
 
-	xinstall -m 755 -d ${destroot}${prefix}/var/db/ntpd
+    xinstall -m 755 -d ${destroot}${prefix}/var/db/ntpd
 
-	destroot.keepdirs ${destroot}${prefix}/var/db/ntpd
+    destroot.keepdirs ${destroot}${prefix}/var/db/ntpd
 }
 
-post-activate	{
-	if {![file exists ${prefix}/etc/ntpd.conf]} {
-		file copy ${prefix}/etc/ntpd.conf.sample ${prefix}/etc/ntpd.conf
-	}
+post-activate   {
+    addgroup _ntp gid=[nextgid] users="_ntp"
+    set gid [existsgroup _ntp]
+    adduser _ntp gid=${gid} password={\*} uid=[nextuid] \
+        home=${prefix}/var/db/ntpd shell=/usr/bin/false \
+        realname=OpenNTPD\ Server
+    if {![file exists ${prefix}/etc/ntpd.conf]} {
+        file copy ${prefix}/etc/ntpd.conf.sample ${prefix}/etc/ntpd.conf
+    }
 }
 
-livecheck.type	regex
-livecheck.url	http://www.openntpd.org/portable.html
-livecheck.regex	(\\d+\.\\d+p\\d+)
+livecheck.type  regex
+livecheck.url   http://www.openntpd.org/portable.html
+livecheck.regex (\\d+\.\\d+p\\d+)