Index: Portfile
===================================================================
--- Portfile	(revision 136971)
+++ Portfile	(working copy)
@@ -6,8 +6,7 @@
 PortGroup           muniversal 1.0
 
 name                libvpx
-version             1.3.0
-revision            1
+version             1.4.0
 categories          multimedia
 maintainers         devans openmaintainer
 platforms           darwin
@@ -24,18 +23,15 @@
                     The VP9 encoder in this release is not, as yet, feature complete.
 
 homepage            http://webmproject.org
-master_sites        googlecode:webm
+master_sites        http://storage.googleapis.com/downloads.webmproject.org/releases/webm/
 use_bzip2           yes
-distname            ${name}-v${version}
 
-checksums           rmd160  bf74821ac8f20ed30f44b6e01473ee1f332f721c \
-                    sha256  d3dcc8d84af51c6c382b214397c62402e37a799e8ebcda6f4217aef0010451a9
+checksums           rmd160  272b1a9f1687a80337d79ccbada2a344c96d1bf1 \
+                    sha256  f582d9b2d60a592a4a3d8c32965ca2d2167e9ade38c6c30bac8801ff66a118e4
 
 depends_build       port:yasm
 
-patchfiles          patch-build-make-configure.sh.diff \
-                    patch-configure.diff \
-                    patch-Makefile.diff
+patchfiles          patch-Makefile.diff
 
 compiler.blacklist  macports-clang-2.9 macports-clang-3.0 {clang < 421}
 
@@ -50,7 +46,8 @@
                     --enable-runtime-cpu-detect \
                     --disable-install-docs \
                     --disable-debug-libs \
-                    --disable-examples
+                    --disable-examples \
+                    --disable-unit-tests
 
 configure.env       LD="${configure.cc}"
 
@@ -61,10 +58,21 @@
 #    configure.args-append --enable-install-docs
 #}
 
-platform darwin 8 {
+platform darwin {
     # Tiger's make 3.80 experiences "virtual memory exhausted" during destroot
-    depends_build-append    port:gmake
-    build.cmd               ${prefix}/bin/gmake
+    if {${os.major} == 8} {
+        depends_build-append    port:gmake
+        build.cmd               ${prefix}/bin/gmake
+    }
+    
+    # PPC platforms don't need yasm(#40154)
+    if {[string match "ppc*" ${os.arch}]} {
+        depends_build-delete    port:yasm
+    }
+    
+    if {${os.major} >= 10} {
+        supported_archs i386 x86_64
+    }
 }
 
 build.target
@@ -83,39 +91,37 @@
         build.args-append CFLAGS_S=-fno-integrated-as
 }
 
-platform darwin {
-    if {${os.major} >= 10} {
-        supported_archs i386 x86_64
-    }
-}
+# disable +universal for initial testing
 
+universal_variant   no
+
 # set configure parameters depending on if universal or not
-set my_targets(ppc)     ppc32
-set my_targets(ppc64)   ppc64
-set my_targets(i386)    x86
-set my_targets(x86_64)  x86_64
-if {[variant_isset universal]} {
+# set my_targets(ppc)     ppc32
+# set my_targets(ppc64)   ppc64
+# set my_targets(i386)    x86
+# set my_targets(x86_64)  x86_64
+# if {[variant_isset universal]} {
     # clear universal flags; configure will determine them.
-    configure.universal_cppflags
-    configure.universal_cflags
-    configure.universal_cxxflags
-    configure.universal_ldflags
-    configure.universal_args-delete --disable-dependency-tracking
-    foreach my_arch ${configure.universal_archs} {
-        set merger_host(${my_arch}) ""
-        if {[info exists my_targets(${my_arch})]} {
-            set merger_configure_args(${my_arch}) --target=$my_targets(${my_arch})-${os.platform}-gcc
-        }
-    }
-} else {
+#     configure.universal_cppflags
+#     configure.universal_cflags
+#     configure.universal_cxxflags
+#     configure.universal_ldflags
+#     configure.universal_args-delete --disable-dependency-tracking
+#     foreach my_arch ${configure.universal_archs} {
+#         set merger_host(${my_arch}) ""
+#         if {[info exists my_targets(${my_arch})]} {
+#             set merger_configure_args(${my_arch}) --target=$my_targets(${my_arch})-${os.platform}-gcc
+#         }
+#     }
+# } else {
     # specify only the single target, otherwise 'configure' will try
     # for a universal install.
-    if {[info exists my_targets(${build_arch})]} {
-        configure.args-append --target=$my_targets(${build_arch})-${os.platform}-gcc
-    } else {
-        configure.args-append --target=${os.arch}-${os.platform}-gcc
-    }
-}
+#     if {[info exists my_targets(${build_arch})]} {
+#        configure.args-append --target=$my_targets(${build_arch})-${os.platform}-gcc
+#     } else {
+#        configure.args-append --target=${os.arch}-${os.platform}-gcc
+#     }
+# }
 
 livecheck.type  regex
 livecheck.url   http://downloads.webmproject.org/releases/webm/index.html